MongoDB::getDBRef
MongoDB::getProfilingLevel
MongoDB
PHP Manual

# MongoDB::getGridFS

Fetches toolkit for dealing with files stored in this database

### Description

public MongoGridFS MongoDB::getGridFS ([ string `$prefix` = "fs" ] )

### Parameters

`prefix`

  The prefix for the files and chunks collections.

### Return Values

Returns a new gridfs object for this database.

### Examples

Example #1 MongoDB::getGridFS example

This example demonstrates how get a MongoGridFS instance.

`<?php
$db = $mongo->my_db;
$prefix = 'files';
$collection = $db->getGridFS($prefix);
?>`

Read more about the MongoGridFS to learn how to store files with MongoDB.